Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class ParameterTypes

Field Summary
`boolean` | `isVargsMethod`
`def` | `nativeParamTypes`
`def` | `parameterTypes`

Constructor Summary
`ParameterTypes()`
`ParameterTypes(def pt)`
`ParameterTypes(def pt)`
`ParameterTypes(def parameterTypes)`

Method Summary
`def` | `coerceArgumentsToClasses(def argumentArray)`
`def` | `correctArguments(def argumentArray)`
`static def` | `fitToVargs(def argumentArray, def paramTypes)` this method is called when the number of arguments to a method is greater than 1 and if the method is a vargs method.
`Class` | `getArgClass(Object arg)`
`def` | `getNativeParameterTypes()`
`void` | `getNativeParameterTypes0()`
`def` | `getPT()`
`def` | `getParameterTypes()`
`void` | `getParametersTypes0()`
`boolean` | `isValidExactMethod(def arguments, int size, def pt)`
`boolean` | `isValidMethod(def arguments)`
`boolean` | `isValidMethod(def arguments)`
`boolean` | `isValidVarargsMethod(def arguments, int size, def pt, int paramMinus1)`
`boolean` | `isVargsMethod(def arguments)`
`void` | `setParametersTypes(def pt)`
`static boolean` | `testComponentAssignable(Class toTestAgainst, Class toTest)`

Constructor Detail

### ParameterTypes

    public ParameterTypes()

### ParameterTypes

    public ParameterTypes(def pt)

### ParameterTypes

    public ParameterTypes(def pt)

### ParameterTypes

    public ParameterTypes(def parameterTypes)

Method Detail

### coerceArgumentsToClasses

    public def coerceArgumentsToClasses(def argumentArray)

### correctArguments

    def correctArguments(def argumentArray)

### fitToVargs

    static def fitToVargs(def argumentArray, def paramTypes)

  this method is called when the number of arguments to a method is greater than 1 and if the method is a vargs method. This method will then transform the given arguments to make the method callable
  param:
    argumentArray the arguments used to call the method
  param:
    paramTypes the types of the paramters the method takes

### getArgClass

    Class getArgClass(Object arg)

### getNativeParameterTypes

    public def getNativeParameterTypes()

### getNativeParameterTypes0

    void getNativeParameterTypes0()

### getPT

    def getPT()

### getParameterTypes

    public def getParameterTypes()

### getParametersTypes0

    void getParametersTypes0()

### isValidExactMethod

    boolean isValidExactMethod(def arguments, int size, def pt)

### isValidMethod

    public boolean isValidMethod(def arguments)

### isValidMethod

    public boolean isValidMethod(def arguments)

### isValidVarargsMethod

    boolean isValidVarargsMethod(def arguments, int size, def pt, int paramMinus1)

### isVargsMethod

    public boolean isVargsMethod(def arguments)

### setParametersTypes

    void setParametersTypes(def pt)

### testComponentAssignable

    static boolean testComponentAssignable(Class toTestAgainst, Class toTest)